import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiBserviceListDeletedResultModel(_base.BaseAPIResultModel):
    data: list[_nested.BServiceAPIResultNM]
    entry_count: int


class CloudapiBserviceListDeletedProtocol(_base.BasePostAPIFunctionProtocol):
    def list_deleted(
        self,
        *,
        account_id: int | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        rg_id: int | None = None,
        sort_by: str | None = None,
    ) -> CloudapiBserviceListDeletedResultModel:
        ...
